---

#
# JSON Schema definition for `mock` provision plugin
#
# https://tmt.readthedocs.io/en/stable/spec/plans.html#mock
#

$id: /schemas/provision/mock
$schema: https://json-schema.org/draft-07/schema

type: object
additionalProperties: false

properties:

  how:
    type: string
    enum:
      - mock

  config:
    type: string

  rootdir:
    type: string

  become:
    type: boolean

  role:
    $ref: "/schemas/common#/definitions/role"

  environment:
    $ref: "/schemas/common#/definitions/environment"

required:
  - how
